include mixins

doctype html
head
  +head

.click-closed
+navbar('blog')

// / Intro Single star /
section.intro-single
  .container
    .row
      .col-md-12.col-lg-8
        .title-single-box
          h1.title-single Mejores Peliculas
      .col-md-12.col-lg-4
        nav.breadcrumb-box.d-flex.justify-content-lg-end(aria-label='breadcrumb')
          ol.breadcrumb
            li.breadcrumb-item
              a.btn.btn-link(href='/') Home
            li.breadcrumb-item
              a.btn.btn-link(href=`/agregarPelicula`) Añadir Pelicula
               
- var usted = 'Seccion '+categoria+ ' '
section.news-grid.grid
  .container
    .row.pb-5
      .col-md-12
        .text-center.d-flex.justify-content-end.justify-content-end.align-items-center
          if categoria
            .p #{usted}
          else 
            .p Todas las Peliculas
          nav-item.dropdown
            a.nav-link.dropdown-toggle(data-toggle='dropdown' href='#' role='button' aria-haspopup='true' aria-expanded='false') Filtros
            .dropdown-menu
              a.dropdown-item(href='/pelicula') Ultimas peliculas
              a.dropdown-item(href='/pelicula/categoria/Drama') Drama 
              a.dropdown-item(href='/pelicula/categoria/Comedia')  Comedia 
              a.dropdown-item(href='/pelicula/categoria/Aventura') Aventura
              a.dropdown-item(href='/pelicula/categoria/Terror') Terror
              a.dropdown-item(href='/pelicula/categoria/Accion') Accion 
              a.dropdown-item(href='/pelicula/categoria/Romántico') Romántico 
              a.dropdown-item(href='/pelicula/categoria/Musical') Musical 
// / Intro Single End /

// Modal
#staticBackdrop.modal.fade(data-backdrop='static' data-keyboard='false' tabindex='-1' role='dialog' aria-labelledby='staticBackdropLabel' aria-hidden='true')
    .modal-dialog
        .modal-content
            .modal-header
                h5#staticBackdropLabel.modal-title.text-primary Nueva pelicula
                button.close(type='button' data-dismiss='modal' aria-label='Close')
                    span(aria-hidden='true') &times;
            form.needs-validation.form-signin(method='POST' action='/pelicula_crear')
                .modal-body
                    label(for='title') Titulo:
                    input#title.form-control(type='text' name='titulo' required='' )
                    label(for='desc') Descripción:
                    TextArea#desc.form-control(type='text' name='descripcion' required='' )
                    label(for='img') Image:
                    input#img.form-control(type='text' name='image' required='' )
                    label(for='categ') Categoría:
                    input#categ.form-control(type='text' name='categoria' required='' )
                    label(for='tag') Tags:
                    input#tag.form-control(type='text' name='tag' required='' )
                    input#tag.form-control(type='text' name='tag1')
                    input#tag.form-control(type='text' name='tag2')
                .modal-footer
                    button.btn.btn-outline-danger(type='button' data-dismiss='modal') Cancelar
                    button.btn.btn-outline-success(type='submit') Crear nota

- var peliculas = peliculas
section.news-grid.grid
  .container
    .row
      each pelicula in peliculas
        .col-md-4
          .text-center.d-flex.justify-content-around.pb-2
                  a.btn.btn-a(href=`/editPelicula/${pelicula._id}`) Editar
                  form(action=`/deletePelicula/${pelicula._id}?_method=DELETE` method='POST')
                                        input(type='hidden' name='_method' value='DELETE')
                                        button.btn.btn-b(type='submit') Eliminar Pelicula
          .card-box-b.card-shadow.news-box
            .img-box-b
              img.img-b(src=`/assets/uploads/peliculas/${pelicula.image}` height='350' width='510')
            .card-overlay
              .card-header-b
                .card-category-b
                  a.category-b(href='#')= pelicula.categoria
                .card-title-b
                  h2.title-2
                    a(href=`/pelicula/${pelicula._id}`)= pelicula.titulo
                .card-date
                  span.date-b= pelicula.createdAt.toLocaleDateString('en-US')
// / News Grid End /

+footer
a.back-to-top(href='#')
  i.fa.fa-chevron-up
#preloader

+scripts